Orchard Version

Aug 10, 2012 at 12:25 AM

Can you tell me if this is compatible with the current Orchard release? 

(1.5.?)